﻿using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] xValueArray = DataGen.Consecutive(50);
            double[] yValueArray = DataGen.Cos(50);

            ScatterPlotDraggable scatterPlotDraggable = new ScatterPlotDraggable(xValueArray, yValueArray)
            {
                DragCursor  = ScottPlot.Cursor.Crosshair,
                DragEnabled = true,
            };

            plot.Add(scatterPlotDraggable);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}